Airwallex logo

Activity Log

Copy for LLMView as Markdown

Get activity logs of the login account.

GET /api/v1/audit_log/security_audit_logsSecurity Audit Logs

Security Audit LogsEarly access

GET /api/v1/audit_log/security_audit_logs

Security Audit Logs is available for early access
Expect limited functionality as we continue development and build the product in partnership with early users. Reach out to your Airwallex account manager or [email protected] if you would like to use this feature. Learn more about early access.Docs

Use this endpoint to get a list of security audit logs of the login account.

Security audit logs includes activity related to: User management actions, User login actions, API key actions, 2FA actions, Login credential changes.

Query parameters
end_event_timestring

The end date the audit log event time in ISO8601 format (exclusive), if not provided, default to from_event_time plus 180 days.

from_event_timestring

The start date of the audit log event time in ISO8601 format (inclusive), default and earliest value 2024-02-06T00:00:00+0800.

pagestring

Page bookmark.

page_sizeinteger

Page size, default 100 if not provided, valid value 1-2000.

Response body - 200 OK
itemsarray

Paged results.

items.account_idstring

Account id.

items.event_detailsobject

Optional. Detail infos related to the event, differ for different action types.

items.event_timestring

Event timestamp, UTC timezone.

items.event_typestring

Event type.

items.idstring

An unique UUID id of the event.

items.operator_infoobject

Operator info of the user trigger the event.

items.operator_info.emailstring

User email.

items.operator_info.mobilestring

User mobile.

items.operator_info.typestring

Type of the operator user.

items.session_infoobject

Session info of where and what device trigger the event.

items.session_info.applicationstring

Web browser or Airwallex app, derived from User agent info.

items.session_info.ip_addressstring

Ip address.

items.session_info.locationstring

Location info derived from ip address.

items.session_info.operating_systemstring

Operating system info.

items.session_info.user_agentstring

User agent info.

page_afterstring

The page bookmark used for search the item after the result.

page_beforestring

The page bookmark used for search the item before the result.

Errors
Error statusDescription
400

Possible errors: invalid_argument

401

Possible errors: Unauthorized, Insufficient permissions, credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/audit_log/security_audit_logs
$curl --request GET \
> --url 'https://api.sandbox.airwallex.com/api/v1/audit_log/security_audit_logs' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "items": [
3 {
4 "account_id": "acct_TOslkS7-MnyXlQuV8Lb4og",
5 "event_details": {
6 "new_value": "[email protected]"
7 },
8 "event_time": "2022-06-08T06:41:37+0000",
9 "event_type": "user.email.added",
10 "id": "45a6d9c3-bdcd-3bbf-b592-10f287a87ccd",
11 "operator_info": {
12 "email": "[email protected]",
13 "mobile": "12345679",
14 "type": "WEBAPP_ACCOUNT_USER"
15 },
16 "session_info": {
17 "application": "Chrome",
18 "ip_address": "127.0.0.1",
19 "location": "Hong Kong",
20 "operating_system": "Mac OS X",
21 "user_agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/114.0.0.0 Safari/537.36"
22 }
23 }
24 ],
25 "page_after": "<string>",
26 "page_before": "<string>"
27}
Was this section helpful?